<template>
  <span class="g-pane">
    <span @click="toggle()">
      <slot name="toggle"></slot>
    </span>
    <transition :name="transition">
      <div class="g-content g-active" :class="name" v-show="isActive">
        <slot name="content"></slot>
      </div>
    </transition>
  </span>
</template>

<script>
export default {
  name: "gpane",
  props: {
    name: {
      type: String,
      default: ""
    },
    transition: {
      type: String,
      default: ""
    }
  },
  data() {
    return {
      isActive: false
    };
  },
  methods: {
    toggle: function() {
      this.isActive = !this.isActive;
    }
  }
};
</script>

<style scoped lang="scss">
.g-pane {
  position: relative;
   .g-content {
    visibility: hidden;
    position: absolute;
    min-width: 200px;
    min-height: 100px;
    &.g-active {
      visibility: visible;
      z-index: 10;
    }
    &.top {
      top: #{"calc(100% + .7rem)"};
    }
    &.bottom {
      bottom: #{"calc(100% + .7rem)"};
    }
    &.left {
      left: 0;
    }
    &.right {
      right: 0;
    }
    &.center{
      left: 25%
    }
  }
}
</style>
